
/*---------------------------------------------------------------*/
/* Matei Ioan Mihnea, 333CA, 2016									 */
/*---------------------------------------------------------------*/
#define F_CPU 16000000
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/sleep.h>
#include <avr/wdt.h>
#include <string.h>
#include <stdio.h>
//#include "diskio.h"
//#include "pff.h"

#define FCC(c1,c2,c3,c4)	(((DWORD)c4<<24)+((DWORD)c3<<16)+((WORD)c2<<8)+(BYTE)c1)	/* FourCC */

#define FULL_LAYER 0xff
#define HALF_LAYER 0x0f
#define EMPTY_LAYER 0x00
#define LAYER1 PD0
#define LAYER2 PD1
#define LAYER3 PD2
#define LAYER4 PD3

/*---------------------------------------------------------*/
/* Work Area                                               */
/*---------------------------------------------------------*/

//volatile BYTE FifoRi, FifoWi, FifoCt;	/* FIFO controls 

/*---------------------------------------------------------*/
/* Functii auxiliare									   */

/*
 * Functie care aprinde toate led-urile din cub
*/
void fill_cube(void)
{
	PORTD |= ((1<<LAYER1));	
	PORTD |= ((1<<LAYER2));	
	PORTD |= ((1<<LAYER3));	
	PORTD |= ((1<<LAYER4));	
	PORTA = FULL_LAYER;
	PORTC = FULL_LAYER;
}

/*
 * Functie care stinge toate led-urile din cub
*/
void clear_cube(void)
{
	PORTD &= ~((1<<LAYER1));	
	PORTD &= ~((1<<LAYER2));	
	PORTD &= ~((1<<LAYER3));	
	PORTD &= ~((1<<LAYER4));	
	PORTA = EMPTY_LAYER;
	PORTC = EMPTY_LAYER;
}



/*-----------------------------------------------------------------------*/
/* Main                                                                  */

int main (void)
{	
	//Configurari initiale
	DDRA |= 0xff;
	DDRC |= 0xff;
	DDRD |= (1<<PD0)|(1<<PD1)|(1<<PD2)|(1<<PD3);//|(1<<PD4);
	//DDRD &= ~(1<<PD6);
	//PORTD |= (1<<PD6);
	//PORTD &= ~(1<<PD5);	
	
	
	fill_cube();
	

	return 1;
}



